%define major		0
%define libname		%mklibname openimagedenoise %{major}
%define develname	%mklibname openimagedenoise -d

Name:		oidn
Version:	1.2.3
Release:	%mkrel 1
Summary:	Library of denoising filters for images rendered with ray tracing
Group:		System/Libraries
License:	ASL 2.0
URL:		https://openimagedenoise.github.io/
Source0:	https://github.com/OpenImageDenoise/%{name}/releases/download/v%{version}/%{name}-%{version}.src.tar.xz

BuildRequires:	cmake
BuildRequires:	gcc-c++
BuildRequires:	ispc
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(tbb)

%description
An open source library of high-performance, high-quality denoising
filters for images rendered with ray tracing.

#------------------------------------------------

%package -n	%{libname}
Summary:	Library of denoising filters for images rendered with ray tracing
Group:		System/Libraries

%description -n	%{libname}
An open source library of high-performance, high-quality denoising
filters for images rendered with ray tracing..

#------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	openimagedenoise-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#------------------------------------------------

%package	docs
Summary:	Documentation for %{name}
Group:		Documentation

%description	docs
The %{name}-docs package contains documentation for %{name}.

#------------------------------------------------

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install

# Remove duplicated documentation
rm -rf %{buildroot}%{_docdir}/OpenImageDenoise

%files
%{_bindir}/oidnDenoise
%{_bindir}/oidnTest
%{_bindir}/oidnBenchmark

%files -n %{libname}
%{_libdir}/libOpenImageDenoise.so.%{major}
%{_libdir}/libOpenImageDenoise.so.%{version}

%files -n %{develname}
%{_includedir}/OpenImageDenoise/
%{_libdir}/libOpenImageDenoise.so
%{_libdir}/cmake/OpenImageDenoise/

%files docs
%doc README.md readme.pdf


%changelog
* Mon Sep 14 2020 tex - 1.2.3-1pclos2020
- new version: 1.2.3
